=== debian/control ===
Source: node-terser
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders:
 Jonas Smedegaard <dr@jones.dk>,
Build-Depends:
 brotli,
 debhelper,
 help2man <!nodoc>,
 mocha <!nocheck>,
 node-acorn,
 node-commander,
 node-escodegen <!nocheck>,
 node-semver <!nocheck>,
 node-source-map,
 pandoc <!nodoc>,
 pigz,
Standards-Version: 4.3.0
Homepage: https://github.com/terser-js/terser
Vcs-Browser: https://salsa.debian.org/js-team/node-terser
Vcs-Git: https://salsa.debian.org/js-team/node-terser.git
#Rules-Requires-Root: no

Package: node-terser
Architecture: all
Depends:
 node-source-map,
 nodejs (>= 6),
 ${misc:Depends},
Description: parser/mangler/compressor for ES6+ - Node.js library
 Terser is a parser, mangler, optimizer and beautifier toolkit
 for ECMAScript 2015 and newer (ES6+).
 .
 terser is a fork of uglify-es
 that retains API and CLI compatibility with uglify-es
 (Debian packages node-uglify-js, libjs-uglify-js, and uglifyjs).
 .
 ECMAScript 2015 (ES2015) a.k.a. ECMAScript 6 (ES6)
 is the 6th formal definition of JavaScript -
 a high-level, interpreted programming language
 most notably used in web browsers and in Node.js.
 .
 This package contains Terser usable with Node.js.

Package: libjs-terser
Architecture: all
Depends:
 ${misc:Depends},
Recommends:
 javascript-common,
Description: parser/mangler/compressor for ES6+ - browser library
 Terser is a parser, mangler, optimizer and beautifier toolkit
 for ECMAScript 2015 and newer (ES6+).
 .
 terser is a fork of uglify-es
 that retains API and CLI compatibility with uglify-es
 (Debian packages node-uglify-js, libjs-uglify-js, and uglifyjs).
 .
 ECMAScript 2015 (ES2015) a.k.a. ECMAScript 6 (ES6)
 is the 6th formal definition of JavaScript -
 a high-level, interpreted programming language
 most notably used in web browsers and in Node.js.
 .
 This package contains Terser directly usable in web browsers.

Package: uglifyjs.terser
Architecture: all
Depends:
 node-commander,
 node-uglify-js,
 nodejs,
 ${misc:Depends},
Recommends:
 node-source-map-support,
Suggests:
 node-acorn,
Description: parser/mangler/compressor for ES6+ - CLI tool
 Terser is a parser, mangler, optimizer and beautifier toolkit
 for ECMAScript 2015 and newer (ES6+).
 .
 terser is a fork of uglify-es
 that retains API and CLI compatibility with uglify-es
 (Debian packages node-uglify-js, libjs-uglify-js, and uglifyjs).
 .
 ECMAScript 2015 (ES2015) a.k.a. ECMAScript 6 (ES6)
 is the 6th formal definition of JavaScript -
 a high-level, interpreted programming language
 most notably used in web browsers and in Node.js.
 .
 This package provides command-line tool uglifyjs.terser.
