=== debian/tests/control ===
Test-Command: node -e "require('terser');"

Test-Command: make -f debian/tests/smoke.mk
