## node-terser 4.1.2

=== debian/changelog ===
node-terser (4.1.2-8) unstable; urgency=medium

  * Team upload
  * Fix test for node-commander ≥ 6 (Closes: #977963)

 -- Xavier Guimard <yadd@debian.org>  Fri, 25 Dec 2020 07:58:43 +0100

node-terser (4.1.2-7) unstable; urgency=medium

  [ Debian Janitor ]
  * set upstream metadata fields:
    Bug-Database Bug-Submit Repository Repository-Browse.

  [ Xavier Guimard ]
  * add support for node-commander 4
    closes: #963425

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 07 Jul 2020 13:15:04 +0200

node-terser (4.1.2-6) unstable; urgency=medium

  * update upstream homepage and source URLs
  * mark libjs-terser Multi-Arch: foreign

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 30 Mar 2020 13:42:51 +0200

node-terser (4.1.2-5) unstable; urgency=medium

  * use debhelper compatibility level 12 (not 9);
    build-depend on debhelper-compat (not debhelper)
  * declare compliance with Debian Policy 4.5.0

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 30 Mar 2020 12:29:11 +0200

node-terser (4.1.2-4) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.4.1.
  * Install nodejs code under /usr/share (not /usr/lib).
  * Update watch file:
    + Simplify regular expressions.
    + Rewrite usage comment.
  * Mark autopkgtests as superficial.
  * Tighten build-dependency on rollup
    to versions supporting option --no-esModule.
    Drop patch 2002.
    Closes: Bug#931577.
  * Improve autopkgtest:
    + Use node-domino to cover recent need for node-source-map.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 10 Oct 2019 19:49:05 +0200

node-terser (4.1.2-3) unstable; urgency=medium

  * Really fix autopkgtest for libjs-terser:
    Have autopkgtest depend on node-source-map (not libjs-source-map),
    and stop have libjs-terser recommend libjs-source-map
    (should be built into web browsers).
    Thanks (again) to LocusOfBorg on irc.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 14 Jul 2019 09:36:06 -0300

node-terser (4.1.2-2) unstable; urgency=medium

  * Fix credit proper nick in changelog.
  * Fix have libjs-terser recommend libjs-source-map,
    and autopkgtest depend on and load it.
    Thanks (again) to LocusOfBorg on irc.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 13 Jul 2019 21:36:58 -0300

node-terser (4.1.2-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  * Fix and improve autpkgtest:
    + Have 2nd test depend on nodejs.
      Thanks to LocusOfBorg on irc.
    + Use perl prove for shell command.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 12 Jul 2019 08:58:25 -0300

node-terser (4.1.0-2) unstable; urgency=medium

  * Fix tighten dependencies between binary packages.
    Closes: Bug#931791. Thanks to Pirate Praveen.
  * Declare compliance with Debian Policy 4.4.0.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 10 Jul 2019 12:26:28 -0300

node-terser (4.1.0-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Unfuzz and improve patch 2001.
  * Exclude APIs required only for tests from main bundle.
    See upstream issue https://github.com/terser-js/terser/pull/288
    Add patch 2002 to ignore __esModule in testsuite.
    See bug#931577.
  * Update lintian overrides.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 07 Jul 2019 19:05:17 -0300

node-terser (3.16.1-2) unstable; urgency=medium

  * Fix ship bundle only in libjs-terser (not also uglifyjs.terser),
    and link bundler into node-terser.
    Closes: Bug#930618. Thanks to Pirate Praveen.
  * Extend autopkgtest to cover all binary packages.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 07 Jul 2019 12:13:28 -0300

node-terser (3.16.1-1) experimental; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Update copyright info: Fix source URLs.
  * Update patch 2001.
  * Update build routines. Build-depend on rollup.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 07 Jul 2019 11:09:49 -0300

node-terser (3.14.1-2) unstable; urgency=medium

  * Fix have uglifyjs.terser depend on node-terser (not node-uglify-js).
    Closes: Bug#929815. Thanks to Pirate Praveen.
  * Update git-buildpackage config:
    + Switch DEP-14 vendor-namespaced git branch.
  * Fix support DEB_BUILD_OPTIONS=nocheck.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 01 Jun 2019 09:51:42 +0200
