=== debian/tests/control ===
Test-Command: node -e "require('terser');"
Depends:
 node-terser,
Restrictions: superficial

Test-Command: node -e "
 window = require('domino').createWindow();
 require('/usr/share/javascript/source-map/source-map.js');
 require('/usr/share/javascript/terser/bundle');
 require('/usr/share/javascript/terser/bundle.min');
 "
Depends:
 libjs-terser,
 nodejs,
 node-domino,
 node-source-map,
Restrictions: superficial

Test-Command: prove debian/tests/*.t
Depends:
 libtest-command-simple-perl,
 perl,
 uglifyjs.terser,
Restrictions: superficial
