=== debian/control ===
--- 
+++ 
@@ -6,28 +6,37 @@
  Jonas Smedegaard <dr@jones.dk>,
 Build-Depends:
  brotli,
- debhelper,
+ cmark-gfm <!nodoc>,
+ debhelper-compat (= 13),
+ eslint <!nocheck>,
  help2man <!nodoc>,
  mocha <!nocheck>,
  node-acorn,
- node-commander,
+ node-commander (>= 7),
  node-escodegen <!nocheck>,
+ node-jridgewell-source-map,
+ node-rollup-plugin-terser,
  node-semver <!nocheck>,
- node-source-map,
- pandoc <!nodoc>,
+ node-source-map <!nocheck>,
  pigz,
-Standards-Version: 4.3.0
-Homepage: https://github.com/terser-js/terser
+ rollup (>= 0.61.0),
+Standards-Version: 4.6.1
+Homepage: https://terser.org/
 Vcs-Browser: https://salsa.debian.org/js-team/node-terser
 Vcs-Git: https://salsa.debian.org/js-team/node-terser.git
-#Rules-Requires-Root: no
+Rules-Requires-Root: no
 
 Package: node-terser
 Architecture: all
 Depends:
- node-source-map,
- nodejs (>= 6),
+ node-jridgewell-source-map,
  ${misc:Depends},
+Breaks:
+ uglifyjs.terser (<< 4.8.0-1~),
+ node-rollup-plugin-terser (<< 7.0.2+~5.0.1-3~)
+Suggests:
+ terser,
+Multi-Arch: foreign
 Description: parser/mangler/compressor for ES6+ - Node.js library
  Terser is a parser, mangler, optimizer and beautifier toolkit
  for ECMAScript 2015 and newer (ES6+).
@@ -45,10 +54,13 @@
 
 Package: libjs-terser
 Architecture: all
+Multi-Arch: foreign
 Depends:
+ node-terser (= ${source:Version}),
  ${misc:Depends},
 Recommends:
  javascript-common,
+ libjs-source-map,
 Description: parser/mangler/compressor for ES6+ - browser library
  Terser is a parser, mangler, optimizer and beautifier toolkit
  for ECMAScript 2015 and newer (ES6+).
@@ -64,15 +76,17 @@
  .
  This package contains Terser directly usable in web browsers.
 
-Package: uglifyjs.terser
+Package: terser
 Architecture: all
 Depends:
- node-commander,
- node-uglify-js,
- nodejs,
+ node-commander (>= 7),
+ node-terser (= ${source:Version}),
+ nodejs:any,
  ${misc:Depends},
 Recommends:
  node-source-map-support,
+Breaks:
+ uglifyjs.terser (<< 4.8.0-1~),
 Suggests:
  node-acorn,
 Description: parser/mangler/compressor for ES6+ - CLI tool
@@ -88,4 +102,4 @@
  a high-level, interpreted programming language
  most notably used in web browsers and in Node.js.
  .
- This package provides command-line tool uglifyjs.terser.
+ This package provides command-line tool terser.
