## node-terser 5.15.1

=== debian/changelog ===
node-terser (5.15.1-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Yadd ]
  * apply multi-arch hints (terser: foreign)

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 19 Oct 2022 19:04:14 +0200
