=== debian/control ===
--- 
+++ 
@@ -89,6 +89,7 @@
  uglifyjs.terser (<< 4.8.0-1~),
 Suggests:
  node-acorn,
+Multi-Arch: foreign
 Description: parser/mangler/compressor for ES6+ - CLI tool
  Terser is a parser, mangler, optimizer and beautifier toolkit
  for ECMAScript 2015 and newer (ES6+).
