## node-terser 5.16.1

=== debian/changelog ===
node-terser (5.16.1-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ lintian-brush ]
  * update lintian overrides
  * set upstream metadata fields:
    Bug-Database Bug-Submit Repository-Browse

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 02 Dec 2022 20:25:43 +0100
