## node-terser 5.16.2

=== debian/changelog ===
node-terser (5.16.2-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update and unfuzz patches
  * declare compliance with Debian Policy 4.6.2
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 01 Feb 2023 09:11:50 +0100
