## node-terser 5.16.5

=== debian/changelog ===
node-terser (5.16.5-2) unstable; urgency=medium

  * Team upload
  * Duplicate Breaks field with Replaces (Closes: #1034969)

 -- Yadd <yadd@debian.org>  Tue, 02 May 2023 06:52:23 +0400

node-terser (5.16.5-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 03 Mar 2023 00:03:00 +0100
