## node-terser 5.19.2

=== debian/changelog ===
node-terser (5.19.2-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 23 Jul 2023 08:47:48 +0200

node-terser (5.18.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * unfuzz patches
  * ignore another test relying on astring (we use escodegen)
  * update patch 2001 to cover another privacy leak

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 13 Jun 2023 09:22:47 +0200
