=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  node-source-map <!nocheck>,
  pigz,
  rollup (>= 0.61.0),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://terser.org/
 Vcs-Browser: https://salsa.debian.org/js-team/node-terser
 Vcs-Git: https://salsa.debian.org/js-team/node-terser.git
@@ -32,6 +32,9 @@
  node-jridgewell-source-map,
  ${misc:Depends},
 Breaks:
+ uglifyjs.terser (<< 4.8.0-1~),
+ node-rollup-plugin-terser (<< 7.0.2+~5.0.1-3~)
+Replaces:
  uglifyjs.terser (<< 4.8.0-1~),
  node-rollup-plugin-terser (<< 7.0.2+~5.0.1-3~)
 Suggests:
@@ -87,6 +90,8 @@
  node-source-map-support,
 Breaks:
  uglifyjs.terser (<< 4.8.0-1~),
+Replaces:
+ uglifyjs.terser (<< 4.8.0-1~),
 Suggests:
  node-acorn,
 Multi-Arch: foreign
