## node-terser 5.38.0

=== debian/changelog ===
node-terser (5.38.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 5.38.0
  * Refresh patches

 -- Yadd <yadd@debian.org>  Thu, 06 Feb 2025 07:30:46 +0100
