=== debian/rules ===
--- 
+++ 
@@ -41,12 +41,14 @@
 
 # * don't fail on experimental builds
 # * trick testsuite into not using mochallel
+# * ignore tests relying on NodeJS module astring (we use escodegen)
 override_dh_auto_test:
 	$(ESLINT) lib
 	node test/compress.js
 	$(MOCHA) test/mocha | debian/tap-todo \
+		'^input sourcemaps Should preserve unmapped segments in output source map$$' \
 		'^spidermonkey export/import sanity test should produce a spidermonkey AST w/ .format.spidermonkey: true.$$' \
-		'^input sourcemaps Should preserve unmapped segments in output source map$$' \
+		'^spidermonkey export/import sanity test should produce an AST compatible with astring$$' \
 		$(if $(DEB_SUITE_EXP),|| true)
 
 # install core documentation with all binary packages
